---
title: "Cache Raw: invalidate"
tags:
- action
- eca_cache
- eca action 2.0.0
---
# Cache Raw: invalidate

Available since: 2.0.0

Invalidates a part or the whole raw cache.

{!include/plugins/eca_cache/action/eca_raw_cache_invalidate.md!}

## Fields

`Cache tags`

:   Optionally define cache tags for fine-granular cache invalidation. Separate multiple tags with commas. More information about cache tags can be found in the <a href="https://www.drupal.org/docs/drupal-apis/cache-api/cache-tags" target="_blank" rel="nofollow noreferrer">documentation</a>. When empty, then the whole cache is being invalidated.

    {!include/plugins/eca_cache/action/eca_raw_cache_invalidate/tags.md!}
