---
title: "Entity: clone existing"
tags:
- action
- eca_content
- eca action 2.1.0
---
# Entity: clone existing

Available since: 2.1.0

Clone an existing content entity without saving it.

{!include/plugins/eca_content/action/eca_clone_entity.md!}

## Fields

`Name of token`

:   Provide the name of a token that holds the new entity. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_clone_entity/token_name.md!}

`Entity label`

:   The label of the new entity.

    {!include/plugins/eca_content/action/eca_clone_entity/label.md!}

`Published`

:   Whether the entity should be published or not.

    {!include/plugins/eca_content/action/eca_clone_entity/published.md!}

`Owner UID`

:   The owner UID of the new entity.

    {!include/plugins/eca_content/action/eca_clone_entity/owner.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_clone_entity/object.md!}
