---
title: "ECA custom event (entity-aware)"
tags:
- event
- eca_content
- eca event 1.0.0
---
# ECA custom event (entity-aware)

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[VARIOUS]` | All tokens forwarded by the dispatcher. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_content/event/content_entity_custom.md!}

## Fields

`Event ID`

:   The id of the custom event (entity aware). Leave empty to trigger all entity aware events.

    {!include/plugins/eca_content/event/content_entity_custom/event_id.md!}
