---
title: "Response: set max age"
tags:
- action
- eca_endpoint
- eca action 1.1.0
---
# Response: set max age

Available since: 1.1.0



{!include/plugins/eca_endpoint/action/eca_endpoint_set_response_max_age.md!}

## Fields

`Client value (max-age)`

:   The number of seconds for the client-side max age.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_response_max_age/max_age.md!}

`Shared value (s-max-age)`

:   The number of seconds for the shared max age.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_response_max_age/s_max_age.md!}

`Set public`

:   Cacheability is usually only working when the response is set to be public. When not enabled, the response will be set as private.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_response_max_age/set_public.md!}

`Set expires`

:   When enabled, the expires header is automatically derived from the defined max age.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_response_max_age/set_expires.md!}
