---
title: " Groups: create"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Groups: create

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:groups_create_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/token_name.md!}

`Name`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_name.md!}

`Path`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_path.md!}

`Description`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_description.md!}

`Visibility`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_visibility.md!}

`Lfs Enabled`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_lfs_enabled.md!}

`Request Access Enabled`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_request_access_enabled.md!}

`Parent Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_parent_id.md!}

`Shared Runners Minutes Limit`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_groups_create/api_shared_runners_minutes_limit.md!}
