---
title: " Issues: update Note"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Issues: update Note

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:issues_updatenote_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote/api_project_id.md!}

`Issue Iid`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote/api_issue_iid.md!}

`Note Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote/api_note_id.md!}

`Body`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote/api_body.md!}

`Params`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_issues_updatenote/api_params.md!}
