---
title: " Projects: add Deploy Key"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Projects: add Deploy Key

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_adddeploykey.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:projects_adddeploykey_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_adddeploykey/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_adddeploykey/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_adddeploykey/api_project_id.md!}

`Title`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_adddeploykey/api_title.md!}

`Key`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_adddeploykey/api_key.md!}

`Canpush`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_adddeploykey/api_canPush.md!}
