---
title: " Projects: update Label"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Projects: update Label

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatelabel.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:projects_updatelabel_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatelabel/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatelabel/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatelabel/api_project_id.md!}

`Label Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatelabel/api_label_id.md!}

`Parameters`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_projects_updatelabel/api_parameters.md!}
