---
title: "ECA language negotiation"
tags:
- event
- eca_language
- eca event 2.0.0
---
# ECA language negotiation

Available since: 2.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_language/event/eca_language_negotiate.md!}

