---
title: "Parameter: exists"
tags:
- condition
- eca_parameters
- eca_parameters condition 1.0.0
---
# Parameter: exists

Available since: 1.0.0



{!include/plugins/eca_parameters/condition/eca_parameter_exists.md!}

## Fields

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_parameters/condition/eca_parameter_exists/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_parameters/condition/eca_parameter_exists/entity.md!}

`Parameter name`

:   The machine name of the parameter. Examples: <em>my_eca_parameter</em>, <em>global:my_global_param</em>, <em>node.article:my_article_param</em>. Available parameters: No parameters have been defined via configuration yet.

    {!include/plugins/eca_parameters/condition/eca_parameter_exists/parameter_name.md!}
