---
title: "State Machine: Entity State"
tags:
- condition
- eca_state_machine
- eca_state_machine condition 1.0.0
---
# State Machine: Entity State

Available since: 1.0.0



{!include/plugins/eca_state_machine/condition/eca_state_machine_entity_state.md!}

## Fields

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_state_machine/condition/eca_state_machine_entity_state/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_state_machine/condition/eca_state_machine_entity_state/entity.md!}

`Field name`

:   

    {!include/plugins/eca_state_machine/condition/eca_state_machine_entity_state/field_name.md!}

`State`

:   

    {!include/plugins/eca_state_machine/condition/eca_state_machine_entity_state/state_id.md!}
