---
title: "Tamper: Get position of sub-string"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Get position of sub-string

Available since: 1.0.0

Get the position of a sub-string in a string

{!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:str_pos_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:str_pos_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos/negate.md!}

`String to search for position`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos/substring.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_str_pos/right.md!}
