---
title: "Tamper: Characters to trim"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Characters to trim

Available since: 1.0.0

Characters to trim.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_trim.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:trim_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:trim_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/negate.md!}

`Characters to trim`

:   The characters to remove from the string. If blank, then whitespace will be removed.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/character.md!}

`Side`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/side.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_trim/right.md!}
