---
title: "Flood blocked IP"
tags:
- event
- eca_user
- eca event 1.0.0
---
# Flood blocked IP

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[account]` | The flooding user entity.<br /> Alias: `entity` |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_user/event/user_floodblockip.md!}

