---
title: "Expirable key value store: read"
tags:
- action
- eca_base
- eca action 2.0.0
---
# Expirable key value store: read

Available since: 2.0.0

Reads a value from the Drupal expirable key value store by the given key. The result is stored in a token.

{!include/plugins/eca_base/action/eca_keyvalueexpirablestore_read.md!}

## Fields

`Collection`

:   The collection of the store.

    {!include/plugins/eca_base/action/eca_keyvalueexpirablestore_read/collection.md!}

`Store key`

:   The key of the value in the store.

    {!include/plugins/eca_base/action/eca_keyvalueexpirablestore_read/key.md!}

`Name of token`

:   The name of the token, the value is stored into. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_keyvalueexpirablestore_read/token_name.md!}
