---
title: "Commerce: Store"
tags:
- condition
- eca_commerce
- eca_commerce condition 1.0.0
---
# Commerce: Store

Available since: 1.0.0



{!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_store.md!}

## Fields

`Stores`

:   Provide a comma separated list of entity IDs.

    {!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_store/stores.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_store/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_commerce/condition/eca_commerce_commerce_order_store/entity.md!}
