---
title: "ECA Helper: Preprocess set value"
tags:
- action
- eca_helper
- eca_helper action unknown
---
# ECA Helper: Preprocess set value

Available since: unknown

Set Preprocess variables value.

{!include/plugins/eca_helper/action/eca_helper_preprocess_set_value.md!}

## Fields

`Element key`

:   The element key to set value for the form element. Example #title, #attributes.class<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_preprocess_set_value/key.md!}

`Value`

:   The element value.<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_preprocess_set_value/value.md!}

`Value in YAML`

:   Value in the YAML format.

    {!include/plugins/eca_helper/action/eca_helper_preprocess_set_value/value_yaml.md!}

`Set array value`

:   Set or append data to array value.

    {!include/plugins/eca_helper/action/eca_helper_preprocess_set_value/array.md!}

`Method`

:   The method to set value when use Set array value.

    {!include/plugins/eca_helper/action/eca_helper_preprocess_set_value/method.md!}
