---
title: "Prepare layout builder element"
tags:
- event
- eca_misc
- eca event 1.0.0
---
# Prepare layout builder element

Available since: 1.0.0

Fires, when preparing a layout builder element.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_misc/event/drupal_prepare_layout.md!}

