---
title: "Tamper: Set value or default value"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Set value or default value

Available since: 1.0.0

Set value or default value.

{!include/plugins/eca_tamper/action/eca_tamper_default_value.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_default_value/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_default_value/eca_token_name.md!}

`Value`

:   This field will be set to the value specified.

    {!include/plugins/eca_tamper/action/eca_tamper_default_value/default_value.md!}

`Only if empty`

:   This field will be set to the value specified only if the imported field is empty.

    {!include/plugins/eca_tamper/action/eca_tamper_default_value/only_if_empty.md!}
