---
title: "Tamper: Pad a string"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Pad a string

Available since: 1.0.0

Pad a string

{!include/plugins/eca_tamper/action/eca_tamper_str_pad.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_str_pad/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_str_pad/eca_token_name.md!}

`Pad length`

:   If the input value has a length less than this, it will use the string below to increase the length.

    {!include/plugins/eca_tamper/action/eca_tamper_str_pad/pad_length.md!}

`Pad string`

:   The string to use for padding. If blank, a space will be used.

    {!include/plugins/eca_tamper/action/eca_tamper_str_pad/pad_string.md!}

`Pad type`

:   

    {!include/plugins/eca_tamper/action/eca_tamper_str_pad/pad_type.md!}
