---
title: "Tamper: Convert case"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Convert case

Available since: 1.0.0

Convert case.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:convert_case_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:convert_case_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case/negate.md!}

`How to convert case`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case/operation.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_convert_case/right.md!}
