---
title: "Views: Set filter value"
tags:
- action
- eca_views
- eca action 2.0.0
---
# Views: Set filter value

Available since: 2.0.0



{!include/plugins/eca_views/action/eca_views_set_filter_value.md!}

## Fields

`Filter ID`

:   The ID of the view filter.<br/>This field supports tokens.

    {!include/plugins/eca_views/action/eca_views_set_filter_value/filter_id.md!}

`The value of the filter`

:   The value of the filter. This can either be a string or a YAML array when multiple keys have to be set for that filter.<br/>This field supports tokens.

    {!include/plugins/eca_views/action/eca_views_set_filter_value/value.md!}

`Interpret above config value as YAML format`

:   

    {!include/plugins/eca_views/action/eca_views_set_filter_value/use_yaml.md!}
