---
title: Articles
tags:
- article
---
# Articles

Here we collect useful links around the ECA ecosystem.

If you have a link that should be added, please follow instructions at [How to contribute](/index.md#how-to-contribute).

## Blog Posts

!!! info inline end "July 23, 2023"

    Philip Norton

[Drupal 10: Creating A Notification System Using The Message And ECA Modules](https://www.hashbangcode.com/article/drupal-10-creating-notification-system-using-message-and-eca-modules)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "July, 2023"

    Michael Anello (DrupalEasy)

[Using the ECA module to replace a not-Drupal-10-ready contrib module (Termcase)](https://www.drupaleasy.com/blogs/ultimike/2023/07/using-eca-module-replace-not-drupal-10-ready-contrib-module-termcase)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "June 8, 2023"

    Vimal Joseph (Zyxware)

[4 Must-Have Drupal Modules for Public Sector Websites](https://www.zyxware.com/article/6564/4-must-have-drupal-modules-for-public-sector-websites)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "April 17, 2023"

    Jürgen Haas

[Now is the right time to update Drupal 7 to 10 thanks to ECA](https://www.lakedrops.com/en/blog/now-right-time-update-drupal-7-10-thanks-eca)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "December 7, 2022"

    Mike Herchel

[Using ECA to Send Emails When a Field’s Value Changes](https://herchel.com/articles/using-eca-send-emails-when-fields-value-changes)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "December 4, 2022"

    Mike Herchel

[Using ECA to Send Emails When Creating Nodes](https://herchel.com/articles/using-eca-send-emails-when-creating-nodes)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "November 22, 2022"

    Jürgen Haas

[Drupal ECA wins at German/Austrian Splash Awards 2022](https://www.lakedrops.com/en/blog/drupal-eca-wins-germanaustrian-splash-awards-2022)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "November 15, 2022"

    Jürgen Haas

[ECA for Drupal: Successful launch, moving on](https://www.lakedrops.com/en/blog/eca-drupal-successful-launch-moving)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "September 11, 2022"

    Philip Norton

[Creating Drupal processes with the event condition action module](https://www.codeenigma.com/blog/creating-drupal-processes-event-condition-action-module)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "July 7, 2022"

    Jürgen Haas

[Drupal ECA integrates bpmn.io](https://bpmn.io/blog/posts/2022-drupal-eca-integration.html)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "June 22, 2022"

    Jürgen Haas

[ECA rules engine for Drupal: RC1 released](https://www.lakedrops.com/en/blog/eca-rules-engine-drupal-rc1-released)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "January 14, 2022"

    Jürgen Haas

[State of ECA: What's new in Drupal's new rules engine with beta-2](https://www.lakedrops.com/en/blog/state-eca-whats-new-drupals-new-rules-engine-beta-2)

![](/images/logos/eca-cofe.png){ width="200" }

!!! info inline end "September 17, 2021"

    Jürgen Haas

[Event Condition Action - Business Process Modeling in Drupal 9+](https://www.lakedrops.com/en/blog/event-condition-action-business-process-modeling-drupal-9)

![](/images/logos/eca-cofe.png){ width="200" }

## Slides

- September 2023 [ECA, the no-code solution that empowers you to orchestrate your Drupal sites](https://www.lakedrops.com/slides/2023-09-28-en-drupal-italy-eca.html)
- July 2023 [ECA, the no-code solution that empowers you to orchestrate your Drupal sites](https://www.lakedrops.com/slides/2023-07-20-en-ddd-eca.html)
- January 2023 [ECA - No-Code Orchestrierung für Drupal](https://www.lakedrops.com/slides/2023-01-12-de-dug-berlin-eca.html), German language
- June 2022 [ECA Release Candidate 1](https://www.lakedrops.com/slides/2022-06-25-en-mountaincamp-eca.html)
- April 2022 [ECA Update beta 8](https://www.lakedrops.com/slides/2022-04-12-en-nwdug-eca.html)
- January 2022 [ECA Update beta 2](https://www.lakedrops.com/slides/2022-01-13-en-sfdug-eca.html)
- October 2021 [ECA Update beta 1](https://www.lakedrops.com/slides/2021-10-29-en-drupalcampnyc-eca.html)
- September 2021 [ECA introduction](https://www.lakedrops.com/slides/2021-09-16-de-dach-eca.html)

## Presentations

- July 21, 2023, DrupalDevDays Vienna, [ECA Session Photos](https://www.flickr.com/photos/beta-robot/53066670908/in/pool-ddd23)
- January 21, 2023, DrupalCamp DEN, [No-code API integrations with ECA and HTTP Client Manager](https://drupal-camp2023.den-japan.org/session/c06), Brandon Williams (amazee.io), ![Slides as pdf](No-code%20API%20integrations%20with%20ECA%20and%20HTTP%20Client%20Manager%20-%20Brandon%20Williams.pdf)
- January 13, 2023, DUG Berlin, [ECA Feature Demo](https://drupalberlin.de/meeting-januar-2023)
